Skip to main content
GET
/
api
/
v1
/
invoices
/
show invoices
curl --request GET \
  --url https://console.vast.ai/api/v1/invoices/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v1/invoices/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v1/invoices/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "count": 2,
  "total": 42,
  "next_token": "eyJ2YWx1ZXMiOiB7ImlkIjogMjE4OTM4N30sICJvc19wYWdlIjogMH0=",
  "results": [
    {
      "start": 1761980044,
      "end": 1761980301,
      "type": "credit",
      "source": "stripe",
      "description": "Manual Billing from MASTERCARD ...7376",
      "amount": -25,
      "metadata": {
        "invoice_id": 2185418,
        "service": "stripe_payments"
      },
      "items": []
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

select_filters
string
required

when (required). Date range in unix seconds (UTC). Operators: gte, gt, lte, lt.

service (optional). Filter by payment service: transfer, stripe_payments, bitpay, coinbase, crypto.com, instance_prepay, paypal_manual, wise_manual. Operators: eq, neq, in, notin.

Examples:

// January 2026, all services
{"when":{"gte":1767225600,"lte":1769903999}}

// Only PayPal and Wise payouts
{"when":{"gte":1767225600,"lte":1769903999},"service":{"in":["paypal_manual","wise_manual"]}}

// Everything except crypto
{"when":{"gte":1767225600,"lte":1769903999},"service":{"notin":["bitpay","coinbase","crypto.com"]}}
order_by
string

Sort results by column. Columns: paid_on, amount_cents, when. Direction: asc or desc (default desc).

Example: [{"col":"paid_on","dir":"desc"}]

latest_first
boolean
default:true

Sort newest invoices first. If order_by is also set, order_by takes precedence.

Example:

true

limit
integer
default:60

Max results per page.

Required range: x >= 1
Example:

20

after_token
string

Pass the next_token value from the previous response to fetch the next page of results. When the response returns next_token: null, there are no more pages.

Example:

"eyJ2YWx1ZXMiOiB7ImlkIjogMjY3MjU5N30sICJvc19wYWdlIjogMH0="

Response

Invoice results. A missing or invalid when range also returns HTTP 200 with success: false.

success
boolean
Example:

true

count
integer

Number of invoices returned in this page.

Example:

2

total
integer

Total number of invoices matching the filters.

Example:

42

next_token
string | null

Token for the next page. null when no more pages.

Example:

"eyJ2YWx1ZXMiOiB7ImlkIjogMjE4OTM4N30sICJvc19wYWdlIjogMH0="

results
object[]

List of invoice entries.